Waardering 4 van 5 sterren

Doesn't work of FF6. Eagerly waiting for an update. :)

Deze beoordeling betreft een eerdere versie van de add-on (1.3.6). 

Updated the compatibility

Hey, sorry about that! Firefox is just moving too fast for me these days :-)

I just updated compatibility, it should work once the site syncs up. Please don't hesitate to file any bugs you find.

Thanks!